Bug 67699 - up2date back button is still enabled and should not be
up2date back button is still enabled and should not be
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-06-29 21:28 EDT by Joe Acosta
Modified: 2015-01-07 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-14 10:40:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2002-06-29 21:28:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
after downloading files the back button is still enabled

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. set up up2date to just download files
2. run up2date
3. select some packages
4. let it download the packages
5. after the packages have been downloaded, rather than clicking next, click back
(back should not be enabled at this time but it is) 
6. go back to the package selection screen
7. select nothing
8. click on next it will try to resolve dependancies

Actual Results:  Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date_client/gui.py", line 577, in onPackagePageNext
  File "/usr/share/rhn/up2date_client/up2date.py", line 2187, in dryRun
    if len(rc):
TypeError: len() of unsized object

Expected Results:  back button should not be enables

Additional info:
Comment 1 Adrian Likins 2002-07-08 16:10:10 EDT
Hmm, indeed. Looks like a bug ;->

Taking a look at it.
Comment 2 Adrian Likins 2003-01-20 20:02:17 EST
Seems to be fixed in current versions.
Comment 3 Jay Turner 2003-02-14 10:40:49 EST
Fix confirmed with up2date-3.1.15-7.

Note You need to log in before you can comment on or make changes to this bug.